Subject: Re: bug#40088: 27.0.90; Symbol’s value as variable is void: debugger-outer-match-data

From: Joost Kremers <[email-masked]>
Date: Mon, 23 Mar 2020 16:53:45 +0100

On Sun, Mar 22 2020, Eli Zaretskii wrote:
> It sounds like a very basic error.  How come we never saw it 
> before?
> Is it just luck?

Well, as Noam mentioned, the recipe I provided doesn't produce an 
explicit error on Emacs 26, it just keeps the backtrace buffer 
from appearing. I've always found `toggle-debug-on-error` a bit of 
hit-and-miss, sometimes it would display a backtrace when an error 
occurs, sometimes not. That might have been this bug in action, I 
don't know. (I do use IELM a lot, so who knows.)

I've never been able to come up with a reliable recipe to 
reproduce the issue, however, so I never reported it.

-- 
Joost Kremers
Life has its moments